Package org.apache.jmeter.threads

# Class ListenerNotifier

java.lang.Object
org.apache.jmeter.threads.ListenerNotifier

All Implemented Interfaces:
  `Serializable`

public class ListenerNotifier extends Object implements Serializable
Processes sample events.
The current implementation processes events in the calling thread using `notifyListeners(SampleEvent, List)`
Thread safe class

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListenerNotifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `notifyListeners(SampleEvent res, List<SampleListener> listeners)`
  Notify a list of listeners that a sample has occurred.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListenerNotifier

    public ListenerNotifier()

- ## Method Details

  - ### notifyListeners

    public void notifyListeners(SampleEvent res, List<SampleListener> listeners)
    Notify a list of listeners that a sample has occurred.
    Parameters:
      `res` - the sample event that has occurred. Must be non-null.
      `listeners` - a list of the listeners which should be notified. This list must not be null and must contain only SampleListener elements.